@font-face {
  font-family: "Noto Sans TC";
  src: url('../fonts/NotoSansTC-VariableFont_wght.woff2') format('woff2');
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}
*, ::after, ::before {
  box-sizing: border-box;
}
body {
  min-width: 980px;
  margin: 0;
  font-family: "Century Gothic", "Noto Sans TC", "Microsoft JhengHei", sans-serif;
}
input[type="text"], input[type="password"], input[type="submit"] {
  font-family: inherit;
}
/* login.php */
.top-banner {
  width: 100%;
  padding-top: 2px;
  padding-right: 80px;
  padding-bottom: 2px;
  padding-left: 80px;
}
.t-row {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
.t-col-1 {
  flex: 0 0 auto;
  width: auto;
}
.t-col-2 {
  flex: 1 0 0;
  text-align: right;
}
.t-title-1 {
  display: inline-block;
  font-size: 26px;
  font-weight: 600;
  color: #00ACA0;
}
.t-title-2 {
  display: inline-block;
  margin-left: 5px;
  font-size: 26px;
  font-weight: 600;
  color: #4B4A48;
}
.login-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  background-image: url('../imgs/login_bg.jpg');
  background-size: cover;
}
.login-title {
  margin-top: 60px;
  text-align: center;
}
.login-h1 {
  font-size: 2rem;
  font-weight: 600;
  letter-spacing: 2.8px;
  color: #ffffff;
}
.login-h2 {
  font-size: 23px;
  font-weight: 300;
  letter-spacing: 1px;
  color: #ffffff;
}
.login-h3 {
  margin-top: 1em;
  margin-bottom: 1em;
  font-size: 24px;
  font-weight: 600;
  color: #4b4a48;
}
.login-form {
  width: 650px;
  margin-top: 30px;
  margin-bottom: 20px;
  padding: 50px 93px;
  border-radius: 10px;
  background-color: #FFFFFF;
}
.btn-register {
  display: inline-block;
  padding: 5px 10px;
  border: 1px solid #00aca0;
  border-radius: 5px;
  font-size: 23px;
  font-weight: 700;
  text-align: center;
  text-decoration: none;
  color: #00aca0;
}
.login-input {
  width: 100%;
  padding: 5px 10px;
  border: 0;
  border-bottom: 1px solid #00aca0;
  font-size: 24px;
}
.login-submit {
  width: 100%;
  padding: 30px;
  border: 0;
  border-radius: 10px;
  font-size: 34px;
  font-weight: 700;
  text-align: center;
  color: #ffffff;
  background-color: #00aca0;
  cursor: pointer;
}
#errmsg {
  height: 30px;
  margin-top: 30px;
  font-size: 20px;
  text-align: center;
  color: #ff0000;
}
.btn-forgot {
  display: inline-block;
  margin-top: 20px;
  font-size: 20px;
  font-weight: 700;
  text-decoration: none;
  color: #4b4a48;
}
.docs {
  margin-bottom: 30px;
  text-align: center;
}
.btn-doc {
  display: block;
  font-size: 20px;
  font-weight: 700;
  text-decoration: none;
  color: #ffffff;
}
/* header.php */
.header {
  display: flex;
  justify-content: end;
  align-items: center;
  margin: 20px 10px;
}
.h-logo {
  height: 130px;
  margin-right: 10px;
}
.h-title-row {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-right: 10px;
}
.h-title-ch {
  margin-bottom: 8px;
  font-size: 36px;
  color: #595959;
}
.h-title-en {
  font-size: 21px;
  color: #595959;
}
/* footer.php */
.footer {
  display: flex;
  justify-content: center;
  width: 100%;
  color: #595959;
}
.f-col {
  width: 500px;
  margin: 5px;
}
.f-title1 {
  padding: 10px;
  font-weight: 600;
  color: #000000;
  background-color: #d9d9d9;
}
.f-title2 {
  padding: 10px;
  font-weight: 600;
  color: #ffffff;
  background-color: #595959;
}
.f-table {
  display: flex;
  flex-wrap: wrap;
  padding: 10px;
}
.f-table > div {
  margin-bottom: 10px;
}
.f-th2 {
  flex: none;
  width: 100%;
  font-weight: 600;
}
.f-th {
  flex: none;
  width: 32%;
  padding-right: 5px;
  text-align: right;
}
.f-td {
  flex: none;
  width: 68%;
}
.f-title-s {
  padding-right: 0.5rem;
  font-size: 14px;
  vertical-align: super;
  color: #7FD13B;
}
.f-link {
  text-decoration: none;
  color: #595959;
}
.f-link:hover {
  text-decoration: underline;
}
/* forgotpw.php */
.hr-green {
  width: 100%;
  height: 1px;
  border: none;
  background-color: #7FD13B;
}
.fp-title {
  font-size: 36px;
  font-weight: 700;
  text-align: center;
  color: #7fd13b;
}
.fp-container {
  width: 650px;
  margin: 0 auto;
}
.fp-msg {
  height: 50px;
  font-size: 28px;
  font-weight: 700;
  text-align: center;
  color: #ff0000;
}
.fp-table {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  padding: 20px 0;
  border-radius: 15px;
  font-size: 28px;
  color: #ffffff;
  background-color: #7fd13b;
}
.fp-table > div {
  margin-bottom: 10px;
}
.fp-th {
  flex: none;
  width: 33%;
  text-align: right;
}
.fp-td {
  flex: none;
  width: 67%;
}
.fp-td > input[type="text"] {
  width: 90%;
  padding-left: 5px;
  border: none;
  font-size: inherit;
}
.fp-submit {
  flex: none;
  width: 100%;
  padding-top: 20px;
  text-align: center;
}
.fp-submit > input[type="submit"] {
  padding: 5px 50px;
  border: none;
  border-radius: 10px;
  font-size: 36px;
  font-weight: 700;
  color: #7fd13b;
  background-color: #ffffff;
  cursor: pointer;
}
.fp-submit > input[type="submit"]:hover {
  background-color: #f1f1f1;
}
.fp-notice {
  margin: 10px 0;
  padding: 10px;
  border: 1px solid #7fd13b;
  font-size: 20px;
}
.fp-notice > ul {
  margin: 0;
  padding-left: 30px;
}
.fp-btn-back {
  padding-top: 10px;
  padding-bottom: 30px;
  text-align: center;
}
.fp-btn-back > a {
  font-size: 28px;
  text-decoration: none;
  color: #7fd13b;
}
.fp-btn-back > a:hover {
  text-decoration: underline;
}
.fp-loading {
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
  background: rgb(0 0 0 / 50%);
}
.fp-loading > div {
  font-size: 36px;
  padding: 10px 50px;
  border-radius: 10px;
  background-color: #d9d9d9;
}

/* sign.php */
.s-container {
  width: 650px;
  margin: 0 auto;
}
.s-form {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  padding: 20px 0;
  font-size: 20px;
}
.s-form input:is([type="radio"], [type="checkbox"]) {
  margin-right: 5px;
  transform: scale(1.3);
}
.s-form input:is([type="text"],[type="email"],[type="password"]) {
  width: 100%;
  padding: 5px;
  border: 1px solid #000000;
  font-size: inherit;
}
.s-form input:is([type="text"],[type="email"],[type="password"]):focus {
  border-color: #00aca0;
  outline: none;
  box-shadow: 0 0 0 4px rgba(127, 209, 59, .2);
}
.s-notice {
  width: 100%;
  margin: 1em 0;
  padding: 10px;
  border: 1px solid #00aca0;
  border-radius: 15px;
}
.s-notice-title {
  font-size: 24px;
  font-weight: 700;
  text-align: center;
  color: #00aca0;
}
.s-sub {
  display: none;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
  margin: 0.5em 0;
  border: 1px solid #00aca0;
  border-radius: 15px;
}
.s-sub-title {
  width: 100%;
  margin: 1em;
  font-size: 24px;
  font-weight: 700;
  color: #00aca0;
}
.s-th {
  flex: none;
  width: 27%;
  margin-bottom: 0.5em;
  padding: 10px;
  padding-left: 1em;
  font-weight: 700;
}
.s-td {
  position: relative;
  flex: none;
  width: 73%;
  margin-bottom: 0.5em;
  padding: 10px;
  padding-right: 1em;
}
.required {
  position: relative;
}
.required::after {
  content: '*';
  position: absolute;
  top: 0;
  left: 100%;
  display: block;
  padding-left: 5px;
  color: #ff0000;
}
.msg {
  position: absolute;
  top: -14px;
  left: 10px;
  font-size: 16px;
  color: #FF0000;
}
.td-pwd {
  position: relative;
}
.icon-pwd {
  position: absolute;
  top: 0;
  right: 1.5em;
  display: flex;
  align-items: center;
  height: 100%;
}
#toggle-pwd {
  height: 20px;
  cursor: pointer;
}
.user-title-other {
  display: none;
}
.row-agree {
  position: relative;
  text-align: center;
}
.msg-agree {
  position: absolute;
  top: -20px;
  left: 175px;
  font-size: 16px;
  color: #FF0000;
}
.s-submit {
  width: 100%;
  padding: 30px;
  border: 0;
  border-radius: 10px;
  font-size: 34px;
  font-weight: 700;
  text-align: center;
  color: #ffffff;
  background-color: #00aca0;
  cursor: pointer;
}
